Loading...
Searching...
No Matches
gaussElem Class Reference

## Public Member Functions

| gaussElem (const fglmVector newv, const fglmVector newp, number &newpdenom, number &newfac)
| ~gaussElem ()

## Data Fields

fglmVector | v
fglmVector | p
number | pdenom
number | fac

## Detailed Description

Definition at line 23 of file fglmgauss.cc.

## Constructor & Destructor Documentation

## gaussElem()

gaussElem::gaussElem | ( | const fglmVector | newv,
|  | const fglmVector | newp,
|  | number & | newpdenom,
|  | number & | newfac )

inline

Definition at line 30 of file fglmgauss.cc.

: v( newv ), p( newp ), pdenom( newpdenom ), fac( newfac )
{
newpdenom= NULL;
newfac= NULL;
}
gaussElem::fac
number fac
Definition fglmgauss.cc:29
gaussElem::p
fglmVector p
Definition fglmgauss.cc:27
gaussElem::v
fglmVector v
Definition fglmgauss.cc:26
gaussElem::pdenom
number pdenom
Definition fglmgauss.cc:28
NULL
#define NULL
Definition omList.c:12

## ~gaussElem()

gaussElem::~gaussElem | ( |  | ) |

inline

Definition at line 50 of file fglmgauss.cc.

{
if (pdenom!=NULL) nDelete( & pdenom );
if (fac!=NULL) nDelete( & fac );
}
nDelete
#define nDelete(n)
Definition numbers.h:16

## Field Documentation

## fac

number gaussElem::fac

Definition at line 29 of file fglmgauss.cc.

## p

fglmVector gaussElem::p

Definition at line 27 of file fglmgauss.cc.

## pdenom

number gaussElem::pdenom

Definition at line 28 of file fglmgauss.cc.

## v

fglmVector gaussElem::v

Definition at line 26 of file fglmgauss.cc.

The documentation for this class was generated from the following file:

- kernel/fglm/fglmgauss.cc